<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.getfoundni.co.uk/
 * @since      1.0.0
 *
 * @package    Notify_Gfni
 * @subpackage Notify_Gfni/admin/partials
 */

$notify_settings_options = get_option( 'notify_settings_option_name' ); 
$key_0 = $notify_settings_options['key_0']; 
$from_email_1 = $notify_settings_options['from_email_1']; 
$from_name_2 = $notify_settings_options['from_name_2']; 
$image = wp_get_attachment_image_src($notify_settings_options['from_name_3']);

if(!$key_0){
	header("Location: /wp-admin/admin.php?page=notify-plugin-options&key=404");
} 
?>
 
<form id="notifysend" method="POST" action="https://notify.getfoundni.co.uk/api/send">
	<div class="notify-card"> 
		<div class="notify-card-title">
			<img src="/wp-content/plugins/notify-gfni-master/admin/assets/logo.png" alt="Notify by Get Found NI">
		</div>
		<div class="notify-card-subtitle"> 
			<h2>Notify Email Builder</h2>
		</div>
		<div class="notify-card-body">

			<input type="hidden" name="key" value="<?php echo $key_0; ?>">
			<input type="hidden" name="email" value="<?php echo $from_email_1; ?>">
			<input type="hidden" name="name" value="<?php echo $from_name_2; ?>">
			<input type="hidden" name="logo" value="<?php echo !empty($image) ? $image[0] : '' ?>">

			<div class="notify-input">
				<label for="subject"> Email Subject</label>
				<input name="subject" type="text" class="regular-text" placeholder="Email Subject" />
				<div style="display:none;" class="notice notice-error inline subject"></div>
			</div>


			<div class="notify-input">
				<label for="title"> Title </label>
				<input name="title" type="text" class="regular-text" placeholder="Email Title" />
				<div style="display:none;" class="notice notice-error inline title"></div>
			</div>

			<div class="notify-input">
				<label for="subtitle"> Subtitle Content</label>
				<textarea name="subtitle" cols="80" rows="10"></textarea>
				<div style="display:none;" class="notice notice-error inline subtitle"></div>
			</div>


			<div class="notify-input">
				<label for="cupon">Cupon Code (Optional)</label>
				<input name="cupon" type="text" class="regular-text" placeholder="Cupon Code" />
				<div style="display:none;" class="notice notice-error inline cupon"></div>
			</div>

			<div class="notify-input-products">
				<h2>Products</h2>
				<p>Select products to be included in the email</p>
				<div class="notify-input-product-cards">
					<?php
					$query = array(
						'post_type' => 'product',
						'posts_per_page' => -1,
						'post_status' => 'publish',
						'meta_query' => array(
							array(
								'key' => '_stock_status',
								'value' => 'instock'
							),
							array(
								'key' => '_backorders',
								'value' => 'no'
							),
						)
					);
					$wp_query = new WP_Query($query);
					$data = [];
					foreach ($wp_query->get_posts() as $post) {
						$product = wc_get_product($post->ID); ?>  

						<label for="<?php echo $product->get_id(); ?>" class="selected-label">
							<input class="product" type="checkbox" name="selected-item" id="<?php echo $product->get_id(); ?>" value="<?php echo $product->get_id(); ?>">
							<span class="icon"></span>
							<div class="selected-content">
								<img src="<?php echo wp_get_attachment_url( $product->get_image_id() ); ?>" alt="<?php echo $product->get_title(); ?>"/> 
								<h4><?php echo $product->get_title(); ?></h4> 
							</div>
						</label>

					<?php } ?>
				</div>
				<div style="display:none;" class="notice notice-error inline products"></div>
			</div>

			<div style="display:none" id="result" class="notice notice-success notify-success"></div>
		</div>

		<div class="notify-card-footer"><?php submit_button('Send!'); ?></div>

	</div>
</form>